#!/usr/bin/python3
import sys
import json
from orcidDisambiguator.disambiguate import Disambiguator


for line in sys.stdin:
    data = json.loads(line)
    d = Disambiguator(**data["value"])
    res = d.get_best_orcid_from_df()
    data["value"] = res
    sys.stdout.write(json.dumps(data))
    sys.stdout.write('\n')